director = bacula-dir
nodes = Director,Storage,Autochanger,Client,FileSet,FDClient,Schedule,SDStorage,Console,Catalog,SDDevice,Job,JobDefs,Messages,Pool
director.director.name.ref =  0
director.director.name.type = String
director.director.name.required = true
director.director.name.def =  0
director.director.description.ref =  0
director.director.description.type = String
director.director.description.required = false
director.director.description.def =  0
director.director.messages.ref =  R_MSGS
director.director.messages.type = Resource
director.director.messages.required = false
director.director.messages.def =  0
director.director.dirport.ref =   0
director.director.dirport.type = store_addresses_port
director.director.dirport.required = false
director.director.dirport.def =  9101
director.director.diraddress.ref =   0
director.director.diraddress.type = store_addresses_address
director.director.diraddress.required = false
director.director.diraddress.def =  9101
director.director.diraddresses.ref =   0
director.director.diraddresses.type = store_addresses
director.director.diraddresses.required = false
director.director.diraddresses.def =  9101
director.director.dirsourceaddress.ref =   0
director.director.dirsourceaddress.type = store_addresses_address
director.director.dirsourceaddress.required = false
director.director.dirsourceaddress.def =  0
director.director.queryfile.ref =  0
director.director.queryfile.type = path
director.director.queryfile.required = true
director.director.queryfile.def =  0
director.director.workingdirectory.ref =  0
director.director.workingdirectory.type = path
director.director.workingdirectory.required = true
director.director.workingdirectory.def =  0
director.director.plugindirectory.ref =   0
director.director.plugindirectory.type = path
director.director.plugindirectory.required = false
director.director.plugindirectory.def =  0
director.director.scriptsdirectory.ref =  0
director.director.scriptsdirectory.type = path
director.director.scriptsdirectory.required = false
director.director.scriptsdirectory.def =  0
director.director.piddirectory.ref =      0
director.director.piddirectory.type = path
director.director.piddirectory.required = true
director.director.piddirectory.def =  0
director.director.subsysdirectory.ref =   0
director.director.subsysdirectory.type = path
director.director.subsysdirectory.required = false
director.director.subsysdirectory.def =  0
director.director.maximumconcurrentjobs.ref =  0
director.director.maximumconcurrentjobs.type = int
director.director.maximumconcurrentjobs.required = false
director.director.maximumconcurrentjobs.def =  1
director.director.maximumconsoleconnections.ref =  0
director.director.maximumconsoleconnections.type = int
director.director.maximumconsoleconnections.required = false
director.director.maximumconsoleconnections.def =  20
director.director.password.ref =  0
director.director.password.type = Password
director.director.password.required = true
director.director.password.def =  0
director.director.fdconnecttimeout.ref =  0
director.director.fdconnecttimeout.type = Date
director.director.fdconnecttimeout.required = false
director.director.fdconnecttimeout.def =  3 * 60
director.director.sdconnecttimeout.ref =  0
director.director.sdconnecttimeout.type = Date
director.director.sdconnecttimeout.required = false
director.director.sdconnecttimeout.def =  30 * 60
director.director.heartbeatinterval.ref =  0
director.director.heartbeatinterval.type = Date
director.director.heartbeatinterval.required = false
director.director.heartbeatinterval.def =  0
director.director.tlsauthenticate.ref =  0
director.director.tlsauthenticate.type = store_bool
director.director.tlsauthenticate.required = false
director.director.tlsauthenticate.def =  0
director.director.tlsenable.ref =  0
director.director.tlsenable.type = store_bool
director.director.tlsenable.required = false
director.director.tlsenable.def =  0
director.director.tlsrequire.ref =  0
director.director.tlsrequire.type = store_bool
director.director.tlsrequire.required = false
director.director.tlsrequire.def =  0
director.director.tlsverifypeer.ref =  0
director.director.tlsverifypeer.type = store_bool
director.director.tlsverifypeer.required = false
director.director.tlsverifypeer.def =  true
director.director.tlscacertificatefile.ref =  0
director.director.tlscacertificatefile.type = path
director.director.tlscacertificatefile.required = false
director.director.tlscacertificatefile.def =  0
director.director.tlscacertificatedir.ref =  0
director.director.tlscacertificatedir.type = path
director.director.tlscacertificatedir.required = false
director.director.tlscacertificatedir.def =  0
director.director.tlscertificate.ref =  0
director.director.tlscertificate.type = path
director.director.tlscertificate.required = false
director.director.tlscertificate.def =  0
director.director.tlskey.ref =  0
director.director.tlskey.type = path
director.director.tlskey.required = false
director.director.tlskey.def =  0
director.director.tlsdhfile.ref =  0
director.director.tlsdhfile.type = path
director.director.tlsdhfile.required = false
director.director.tlsdhfile.def =  0
director.director.tlsallowedcn.ref =  0
director.director.tlsallowedcn.type = store_alist_str
director.director.tlsallowedcn.required = false
director.director.tlsallowedcn.def =  0
director.director.statisticsretention.ref =   0
director.director.statisticsretention.type = Date
director.director.statisticsretention.required = false
director.director.statisticsretention.def =  60*60*24*31*12*5
director.director.verid.ref =  0
director.director.verid.type = String
director.director.verid.required = false
director.director.verid.def =  0
director.console.name.ref =  0
director.console.name.type = String
director.console.name.required = true
director.console.name.def =  0
director.console.description.ref =  0
director.console.description.type = String
director.console.description.required = false
director.console.description.def =  0
director.console.password.ref =  0
director.console.password.type = Password
director.console.password.required = true
director.console.password.def =  0
director.console.jobacl.ref =  Job_ACL
director.console.jobacl.type = Acl
director.console.jobacl.required = false
director.console.jobacl.def =  0
director.console.clientacl.ref =  Client_ACL
director.console.clientacl.type = Acl
director.console.clientacl.required = false
director.console.clientacl.def =  0
director.console.storageacl.ref =  Storage_ACL
director.console.storageacl.type = Acl
director.console.storageacl.required = false
director.console.storageacl.def =  0
director.console.scheduleacl.ref =  Schedule_ACL
director.console.scheduleacl.type = Acl
director.console.scheduleacl.required = false
director.console.scheduleacl.def =  0
director.console.runacl.ref =  Run_ACL
director.console.runacl.type = Acl
director.console.runacl.required = false
director.console.runacl.def =  0
director.console.poolacl.ref =  Pool_ACL
director.console.poolacl.type = Acl
director.console.poolacl.required = false
director.console.poolacl.def =  0
director.console.commandacl.ref =  Command_ACL
director.console.commandacl.type = Acl
director.console.commandacl.required = false
director.console.commandacl.def =  0
director.console.filesetacl.ref =  FileSet_ACL
director.console.filesetacl.type = Acl
director.console.filesetacl.required = false
director.console.filesetacl.def =  0
director.console.catalogacl.ref =  Catalog_ACL
director.console.catalogacl.type = Acl
director.console.catalogacl.required = false
director.console.catalogacl.def =  0
director.console.whereacl.ref =  Where_ACL
director.console.whereacl.type = Acl
director.console.whereacl.required = false
director.console.whereacl.def =  0
director.console.pluginoptionsacl.ref =  PluginOptions_ACL
director.console.pluginoptionsacl.type = Acl
director.console.pluginoptionsacl.required = false
director.console.pluginoptionsacl.def =  0
director.console.tlsauthenticate.ref =  0
director.console.tlsauthenticate.type = store_bool
director.console.tlsauthenticate.required = false
director.console.tlsauthenticate.def =  0
director.console.tlsenable.ref =  0
director.console.tlsenable.type = store_bool
director.console.tlsenable.required = false
director.console.tlsenable.def =  0
director.console.tlsrequire.ref =  0
director.console.tlsrequire.type = store_bool
director.console.tlsrequire.required = false
director.console.tlsrequire.def =  0
director.console.tlsverifypeer.ref =  0
director.console.tlsverifypeer.type = store_bool
director.console.tlsverifypeer.required = false
director.console.tlsverifypeer.def =  true
director.console.tlscacertificatefile.ref =  0
director.console.tlscacertificatefile.type = path
director.console.tlscacertificatefile.required = false
director.console.tlscacertificatefile.def =  0
director.console.tlscacertificatedir.ref =  0
director.console.tlscacertificatedir.type = path
director.console.tlscacertificatedir.required = false
director.console.tlscacertificatedir.def =  0
director.console.tlscertificate.ref =  0
director.console.tlscertificate.type = path
director.console.tlscertificate.required = false
director.console.tlscertificate.def =  0
director.console.tlskey.ref =  0
director.console.tlskey.type = path
director.console.tlskey.required = false
director.console.tlskey.def =  0
director.console.tlsdhfile.ref =  0
director.console.tlsdhfile.type = path
director.console.tlsdhfile.required = false
director.console.tlsdhfile.def =  0
director.console.tlsallowedcn.ref =  0
director.console.tlsallowedcn.type = store_alist_str
director.console.tlsallowedcn.required = false
director.console.tlsallowedcn.def =  0
director.client.name.ref =  0
director.client.name.type = String
director.client.name.required = true
director.client.name.def =  0
director.client.description.ref =  0
director.client.description.type = String
director.client.description.required = false
director.client.description.def =  0
director.client.address.ref =   0
director.client.address.type = String
director.client.address.required = true
director.client.address.def =  0
director.client.fdaddress.ref =   0
director.client.fdaddress.type = String
director.client.fdaddress.required = false
director.client.fdaddress.def =  0
director.client.fdport.ref =    0
director.client.fdport.type = int
director.client.fdport.required = false
director.client.fdport.def =  9102
director.client.password.ref =  0
director.client.password.type = Password
director.client.password.required = true
director.client.password.def =  0
director.client.fdpassword.ref =  0
director.client.fdpassword.type = Password
director.client.fdpassword.required = false
director.client.fdpassword.def =  0
director.client.catalog.ref =   R_CATALOG
director.client.catalog.type = Resource
director.client.catalog.required = true
director.client.catalog.def =  0
director.client.fileretention.ref =  0
director.client.fileretention.type = Date
director.client.fileretention.required = false
director.client.fileretention.def =  60*60*24*60
director.client.jobretention.ref =   0
director.client.jobretention.type = Date
director.client.jobretention.required = false
director.client.jobretention.def =  60*60*24*180
director.client.heartbeatinterval.ref =  0
director.client.heartbeatinterval.type = Date
director.client.heartbeatinterval.required = false
director.client.heartbeatinterval.def =  0
director.client.autoprune.ref =  0
director.client.autoprune.type = store_bool
director.client.autoprune.required = false
director.client.autoprune.def =  true
director.client.maximumconcurrentjobs.ref =  0
director.client.maximumconcurrentjobs.type = int
director.client.maximumconcurrentjobs.required = false
director.client.maximumconcurrentjobs.def =  1
director.client.tlsauthenticate.ref =  0
director.client.tlsauthenticate.type = store_bool
director.client.tlsauthenticate.required = false
director.client.tlsauthenticate.def =  0
director.client.tlsenable.ref =  0
director.client.tlsenable.type = store_bool
director.client.tlsenable.required = false
director.client.tlsenable.def =  0
director.client.tlsrequire.ref =  0
director.client.tlsrequire.type = store_bool
director.client.tlsrequire.required = false
director.client.tlsrequire.def =  0
director.client.tlscacertificatefile.ref =  0
director.client.tlscacertificatefile.type = path
director.client.tlscacertificatefile.required = false
director.client.tlscacertificatefile.def =  0
director.client.tlscacertificatedir.ref =  0
director.client.tlscacertificatedir.type = path
director.client.tlscacertificatedir.required = false
director.client.tlscacertificatedir.def =  0
director.client.tlscertificate.ref =  0
director.client.tlscertificate.type = path
director.client.tlscertificate.required = false
director.client.tlscertificate.def =  0
director.client.tlskey.ref =  0
director.client.tlskey.type = path
director.client.tlskey.required = false
director.client.tlskey.def =  0
director.client.tlsallowedcn.ref =  0
director.client.tlsallowedcn.type = store_alist_str
director.client.tlsallowedcn.required = false
director.client.tlsallowedcn.def =  0
director.storage.name.ref =    0
director.storage.name.type = String
director.storage.name.required = true
director.storage.name.def =  0
director.storage.description.ref =    0
director.storage.description.type = String
director.storage.description.required = false
director.storage.description.def =  0
director.storage.sdport.ref =      0
director.storage.sdport.type = int
director.storage.sdport.required = false
director.storage.sdport.def =  9103
director.storage.address.ref =     0
director.storage.address.type = String
director.storage.address.required = true
director.storage.address.def =  0
director.storage.sdaddress.ref =     0
director.storage.sdaddress.type = String
director.storage.sdaddress.required = false
director.storage.sdaddress.def =  0
director.storage.password.ref =    0
director.storage.password.type = Password
director.storage.password.required = true
director.storage.password.def =  0
director.storage.sdpassword.ref =    0
director.storage.sdpassword.type = Password
director.storage.sdpassword.required = false
director.storage.sdpassword.def =  0
director.storage.device.ref =      R_DEVICE
director.storage.device.type = store_device
director.storage.device.required = true
director.storage.device.def =  0
director.storage.mediatype.ref =  0
director.storage.mediatype.type = String
director.storage.mediatype.required = true
director.storage.mediatype.def =  0
director.storage.autochanger.ref =  0
director.storage.autochanger.type = store_bool
director.storage.autochanger.required = false
director.storage.autochanger.def =  0
director.storage.enabled.ref =      0
director.storage.enabled.type = store_bool
director.storage.enabled.required = false
director.storage.enabled.def =  true
director.storage.allowcompression.ref =  0
director.storage.allowcompression.type = store_bool
director.storage.allowcompression.required = false
director.storage.allowcompression.def =  true
director.storage.heartbeatinterval.ref =  0
director.storage.heartbeatinterval.type = Date
director.storage.heartbeatinterval.required = false
director.storage.heartbeatinterval.def =  0
director.storage.maximumconcurrentjobs.ref =  0
director.storage.maximumconcurrentjobs.type = int
director.storage.maximumconcurrentjobs.required = false
director.storage.maximumconcurrentjobs.def =  1
director.storage.tlsauthenticate.ref =  0
director.storage.tlsauthenticate.type = store_bool
director.storage.tlsauthenticate.required = false
director.storage.tlsauthenticate.def =  0
director.storage.tlsenable.ref =  0
director.storage.tlsenable.type = store_bool
director.storage.tlsenable.required = false
director.storage.tlsenable.def =  0
director.storage.tlsrequire.ref =  0
director.storage.tlsrequire.type = store_bool
director.storage.tlsrequire.required = false
director.storage.tlsrequire.def =  0
director.storage.tlscacertificatefile.ref =  0
director.storage.tlscacertificatefile.type = path
director.storage.tlscacertificatefile.required = false
director.storage.tlscacertificatefile.def =  0
director.storage.tlscacertificatedir.ref =  0
director.storage.tlscacertificatedir.type = path
director.storage.tlscacertificatedir.required = false
director.storage.tlscacertificatedir.def =  0
director.storage.tlscertificate.ref =  0
director.storage.tlscertificate.type = path
director.storage.tlscertificate.required = false
director.storage.tlscertificate.def =  0
director.storage.tlskey.ref =  0
director.storage.tlskey.type = path
director.storage.tlskey.required = false
director.storage.tlskey.def =  0
director.catalog.name.ref =     0
director.catalog.name.type = String
director.catalog.name.required = true
director.catalog.name.def =  0
director.catalog.description.ref =     0
director.catalog.description.type = String
director.catalog.description.required = false
director.catalog.description.def =  0
director.catalog.address.ref =   0
director.catalog.address.type = String
director.catalog.address.required = false
director.catalog.address.def =  0
director.catalog.dbaddress.ref =   0
director.catalog.dbaddress.type = String
director.catalog.dbaddress.required = false
director.catalog.dbaddress.def =  0
director.catalog.dbport.ref =       0
director.catalog.dbport.type = int
director.catalog.dbport.required = false
director.catalog.dbport.def =  0
director.catalog.password.ref =  0
director.catalog.password.type = String
director.catalog.password.required = false
director.catalog.password.def =  0
director.catalog.dbpassword.ref =  0
director.catalog.dbpassword.type = String
director.catalog.dbpassword.required = false
director.catalog.dbpassword.def =  0
director.catalog.dbuser.ref =      0
director.catalog.dbuser.type = String
director.catalog.dbuser.required = false
director.catalog.dbuser.def =  0
director.catalog.user.ref =      0
director.catalog.user.type = String
director.catalog.user.required = false
director.catalog.user.def =  0
director.catalog.dbname.ref =      0
director.catalog.dbname.type = String
director.catalog.dbname.required = true
director.catalog.dbname.def =  0
director.catalog.dbdriver.ref =    0
director.catalog.dbdriver.type = String
director.catalog.dbdriver.required = false
director.catalog.dbdriver.def =  0
director.catalog.dbsocket.ref =    0
director.catalog.dbsocket.type = String
director.catalog.dbsocket.required = false
director.catalog.dbsocket.def =  0
director.catalog.multipleconnections.ref =  0
director.catalog.multipleconnections.type = boolean
director.catalog.multipleconnections.required = false
director.catalog.multipleconnections.def =  0
director.job.name.ref =  0
director.job.name.type = String
director.job.name.required = true
director.job.name.def =  0
director.job.description.ref =  0
director.job.description.type = String
director.job.description.required = false
director.job.description.def =  0
director.job.type.ref =   0
director.job.type.type = store_jobtype
director.job.type.required = true
director.job.type.def =  0
director.job.level.ref =     0
director.job.level.type = store_level
director.job.level.required = false
director.job.level.def =  0
director.job.messages.ref =  R_MSGS
director.job.messages.type = Resource
director.job.messages.required = true
director.job.messages.def =  0
director.job.storage.ref =   R_STORAGE
director.job.storage.type = store_alist_res
director.job.storage.required = false
director.job.storage.def =  0
director.job.pool.ref =      R_POOL
director.job.pool.type = Resource
director.job.pool.required = true
director.job.pool.def =  0
director.job.fullbackuppool.ref =    R_POOL
director.job.fullbackuppool.type = Resource
director.job.fullbackuppool.required = false
director.job.fullbackuppool.def =  0
director.job.incrementalbackuppool.ref =  R_POOL
director.job.incrementalbackuppool.type = Resource
director.job.incrementalbackuppool.required = false
director.job.incrementalbackuppool.def =  0
director.job.differentialbackuppool.ref =  R_POOL
director.job.differentialbackuppool.type = Resource
director.job.differentialbackuppool.required = false
director.job.differentialbackuppool.def =  0
director.job.client.ref =    R_CLIENT
director.job.client.type = Resource
director.job.client.required = true
director.job.client.def =  0
director.job.fileset.ref =   R_FILESET
director.job.fileset.type = Resource
director.job.fileset.required = true
director.job.fileset.def =  0
director.job.schedule.ref =  R_SCHEDULE
director.job.schedule.type = Resource
director.job.schedule.required = false
director.job.schedule.def =  0
director.job.verifyjob.ref =  R_JOB
director.job.verifyjob.type = Resource
director.job.verifyjob.required = false
director.job.verifyjob.def =  0
director.job.jobtoverify.ref =  R_JOB
director.job.jobtoverify.type = Resource
director.job.jobtoverify.required = false
director.job.jobtoverify.def =  0
director.job.jobdefs.ref =     R_JOBDEFS
director.job.jobdefs.type = Resource
director.job.jobdefs.required = false
director.job.jobdefs.def =  0
director.job.run.ref =  0
director.job.run.type = store_alist_str
director.job.run.required = false
director.job.run.def =  0
director.job.where.ref =  0
director.job.where.type = path
director.job.where.required = false
director.job.where.def =  0
director.job.regexwhere.ref =  0
director.job.regexwhere.type = String
director.job.regexwhere.required = false
director.job.regexwhere.def =  0
director.job.stripprefix.ref =  0
director.job.stripprefix.type = String
director.job.stripprefix.required = false
director.job.stripprefix.def =  0
director.job.addprefix.ref =  0
director.job.addprefix.type = String
director.job.addprefix.required = false
director.job.addprefix.def =  0
director.job.addsuffix.ref =  0
director.job.addsuffix.type = String
director.job.addsuffix.required = false
director.job.addsuffix.def =  0
director.job.bootstrap.ref =  0
director.job.bootstrap.type = path
director.job.bootstrap.required = false
director.job.bootstrap.def =  0
director.job.writebootstrap.ref =  0
director.job.writebootstrap.type = path
director.job.writebootstrap.required = false
director.job.writebootstrap.def =  0
director.job.writeverifylist.ref =  0
director.job.writeverifylist.type = path
director.job.writeverifylist.required = false
director.job.writeverifylist.def =  0
director.job.replace.ref =  0
director.job.replace.type = store_replace
director.job.replace.required = false
director.job.replace.def =  REPLACE_ALWAYS
director.job.maxrunschedtime.ref =  0
director.job.maxrunschedtime.type = Date
director.job.maxrunschedtime.required = false
director.job.maxrunschedtime.def =  0
director.job.maxruntime.ref =  0
director.job.maxruntime.type = Date
director.job.maxruntime.required = false
director.job.maxruntime.def =  0
director.job.fullmaxwaittime.ref =  0
director.job.fullmaxwaittime.type = Date
director.job.fullmaxwaittime.required = false
director.job.fullmaxwaittime.def =  0
director.job.incrementalmaxwaittime.ref =  0
director.job.incrementalmaxwaittime.type = Date
director.job.incrementalmaxwaittime.required = false
director.job.incrementalmaxwaittime.def =  0
director.job.differentialmaxwaittime.ref =  0
director.job.differentialmaxwaittime.type = Date
director.job.differentialmaxwaittime.required = false
director.job.differentialmaxwaittime.def =  0
director.job.fullmaxruntime.ref =  0
director.job.fullmaxruntime.type = Date
director.job.fullmaxruntime.required = false
director.job.fullmaxruntime.def =  0
director.job.incrementalmaxruntime.ref =  0
director.job.incrementalmaxruntime.type = Date
director.job.incrementalmaxruntime.required = false
director.job.incrementalmaxruntime.def =  0
director.job.differentialmaxruntime.ref =  0
director.job.differentialmaxruntime.type = Date
director.job.differentialmaxruntime.required = false
director.job.differentialmaxruntime.def =  0
director.job.maxwaittime.ref =  0
director.job.maxwaittime.type = Date
director.job.maxwaittime.required = false
director.job.maxwaittime.def =  0
director.job.maxstartdelay.ref =  0
director.job.maxstartdelay.type = Date
director.job.maxstartdelay.required = false
director.job.maxstartdelay.def =  0
director.job.maxfullinterval.ref =  0
director.job.maxfullinterval.type = Date
director.job.maxfullinterval.required = false
director.job.maxfullinterval.def =  0
director.job.maxdiffinterval.ref =  0
director.job.maxdiffinterval.type = Date
director.job.maxdiffinterval.required = false
director.job.maxdiffinterval.def =  0
director.job.prefixlinks.ref =  0
director.job.prefixlinks.type = store_bool
director.job.prefixlinks.required = false
director.job.prefixlinks.def =  false
director.job.prunejobs.ref =  0
director.job.prunejobs.type = store_bool
director.job.prunejobs.required = false
director.job.prunejobs.def =  false
director.job.prunefiles.ref =  0
director.job.prunefiles.type = store_bool
director.job.prunefiles.required = false
director.job.prunefiles.def =  false
director.job.prunevolumes.ref =  0
director.job.prunevolumes.type = store_bool
director.job.prunevolumes.required = false
director.job.prunevolumes.def =  false
director.job.enabled.ref =  0
director.job.enabled.type = store_bool
director.job.enabled.required = false
director.job.enabled.def =  true
director.job.spoolattributes.ref =  0
director.job.spoolattributes.type = store_bool
director.job.spoolattributes.required = false
director.job.spoolattributes.def =  false
director.job.spooldata.ref =  0
director.job.spooldata.type = store_bool
director.job.spooldata.required = false
director.job.spooldata.def =  false
director.job.spoolsize.ref =  0
director.job.spoolsize.type = store_size64
director.job.spoolsize.required = false
director.job.spoolsize.def =  0
director.job.rerunfailedlevels.ref =  0
director.job.rerunfailedlevels.type = store_bool
director.job.rerunfailedlevels.required = false
director.job.rerunfailedlevels.def =  false
director.job.prefermountedvolumes.ref =  0
director.job.prefermountedvolumes.type = store_bool
director.job.prefermountedvolumes.required = false
director.job.prefermountedvolumes.def =  true
director.job.runbeforejob.ref =   0
director.job.runbeforejob.type = store_short_runscript
director.job.runbeforejob.required = false
director.job.runbeforejob.def =  0
director.job.runafterjob.ref =   0
director.job.runafterjob.type = store_short_runscript
director.job.runafterjob.required = false
director.job.runafterjob.def =  0
director.job.runafterfailedjob.ref =   0
director.job.runafterfailedjob.type = store_short_runscript
director.job.runafterfailedjob.required = false
director.job.runafterfailedjob.def =  0
director.job.clientrunbeforejob.ref =   0
director.job.clientrunbeforejob.type = store_short_runscript
director.job.clientrunbeforejob.required = false
director.job.clientrunbeforejob.def =  0
director.job.clientrunafterjob.ref =   0
director.job.clientrunafterjob.type = store_short_runscript
director.job.clientrunafterjob.required = false
director.job.clientrunafterjob.def =  0
director.job.maximumconcurrentjobs.ref =  0
director.job.maximumconcurrentjobs.type = int
director.job.maximumconcurrentjobs.required = false
director.job.maximumconcurrentjobs.def =  1
director.job.rescheduleonerror.ref =  0
director.job.rescheduleonerror.type = store_bool
director.job.rescheduleonerror.required = false
director.job.rescheduleonerror.def =  false
director.job.rescheduleinterval.ref =  0
director.job.rescheduleinterval.type = Date
director.job.rescheduleinterval.required = false
director.job.rescheduleinterval.def =  60 * 30
director.job.rescheduletimes.ref =  0
director.job.rescheduletimes.type = int
director.job.rescheduletimes.required = false
director.job.rescheduletimes.def =  0
director.job.priority.ref =  0
director.job.priority.type = int
director.job.priority.required = false
director.job.priority.def =  10
director.job.allowmixedpriority.ref =  0
director.job.allowmixedpriority.type = store_bool
director.job.allowmixedpriority.required = false
director.job.allowmixedpriority.def =  false
director.job.writepartafterjob.ref =  0
director.job.writepartafterjob.type = store_bool
director.job.writepartafterjob.required = false
director.job.writepartafterjob.def =  true
director.job.selectionpattern.ref =  0
director.job.selectionpattern.type = String
director.job.selectionpattern.required = false
director.job.selectionpattern.def =  0
director.job.runscript.ref =  0
director.job.runscript.type = store_runscript
director.job.runscript.required = false
director.job.runscript.def =  0
director.job.selectiontype.ref =  0
director.job.selectiontype.type = store_migtype
director.job.selectiontype.required = false
director.job.selectiontype.def =  0
director.job.accurate.ref =  0
director.job.accurate.type = store_bool
director.job.accurate.required = false
director.job.accurate.def = 0
director.job.allowduplicatejobs.ref =  0
director.job.allowduplicatejobs.type = store_bool
director.job.allowduplicatejobs.required = false
director.job.allowduplicatejobs.def =  true
director.job.allowhigherduplicates.ref =  0
director.job.allowhigherduplicates.type = store_bool
director.job.allowhigherduplicates.required = false
director.job.allowhigherduplicates.def =  true
director.job.cancellowerlevelduplicates.ref =  0
director.job.cancellowerlevelduplicates.type = store_bool
director.job.cancellowerlevelduplicates.required = false
director.job.cancellowerlevelduplicates.def =  false
director.job.cancelqueuedduplicates.ref =  0
director.job.cancelqueuedduplicates.type = store_bool
director.job.cancelqueuedduplicates.required = false
director.job.cancelqueuedduplicates.def =  false
director.job.cancelrunningduplicates.ref =  0
director.job.cancelrunningduplicates.type = store_bool
director.job.cancelrunningduplicates.required = false
director.job.cancelrunningduplicates.def =  false
director.job.pluginoptions.ref =  0
director.job.pluginoptions.type = String
director.job.pluginoptions.required = false
director.job.pluginoptions.def =  0
director.job.base.ref =   R_JOB
director.job.base.type = store_alist_res
director.job.base.required = false
director.job.base.def =  0
director.fileset.name.ref =  0
director.fileset.name.type = String
director.fileset.name.required = true
director.fileset.name.def =  0
director.fileset.description.ref =  0
director.fileset.description.type = String
director.fileset.description.required = false
director.fileset.description.def =  0
director.fileset.include.ref =                    0
director.fileset.include.type = store_inc
director.fileset.include.required = false
director.fileset.include.def =  0
director.fileset.exclude.ref =                    1
director.fileset.exclude.type = store_inc
director.fileset.exclude.required = false
director.fileset.exclude.def =  0
director.fileset.ignorefilesetchanges.ref =  0
director.fileset.ignorefilesetchanges.type = store_bool
director.fileset.ignorefilesetchanges.required = false
director.fileset.ignorefilesetchanges.def =  false
director.fileset.enablevss.ref =  0
director.fileset.enablevss.type = store_bool
director.fileset.enablevss.required = false
director.fileset.enablevss.def =  true
director.schedule.name.ref =  0
director.schedule.name.type = String
director.schedule.name.required = true
director.schedule.name.def =  0
director.schedule.description.ref =  0
director.schedule.description.type = String
director.schedule.description.required = false
director.schedule.description.def =  0
director.schedule.run.ref =       0
director.schedule.run.type = store_run
director.schedule.run.required = false
director.schedule.run.def =  0
director.pool.name.ref =       0
director.pool.name.type = String
director.pool.name.required = true
director.pool.name.def =  0
director.pool.description.ref =       0
director.pool.description.type = String
director.pool.description.required = false
director.pool.description.def =      0
director.pool.pooltype.ref =      0
director.pool.pooltype.type = String
director.pool.pooltype.required = true
director.pool.pooltype.def =  0
director.pool.labelformat.ref =   0
director.pool.labelformat.type = String
director.pool.labelformat.required = false
director.pool.labelformat.def =      0
director.pool.cleaningprefix.ref =  0
director.pool.cleaningprefix.type = String
director.pool.cleaningprefix.required = false
director.pool.cleaningprefix.def =    0
director.pool.usecatalog.ref =     0
director.pool.usecatalog.type = store_bool
director.pool.usecatalog.required = false
director.pool.usecatalog.def =  true
director.pool.usevolumeonce.ref =  0
director.pool.usevolumeonce.type = store_bool
director.pool.usevolumeonce.required = false
director.pool.usevolumeonce.def =    0
director.pool.purgeoldestvolume.ref =  0
director.pool.purgeoldestvolume.type = store_bool
director.pool.purgeoldestvolume.required = false
director.pool.purgeoldestvolume.def =  0
director.pool.actiononpurge.ref =  0
director.pool.actiononpurge.type = store_actiononpurge
director.pool.actiononpurge.required = false
director.pool.actiononpurge.def =  0
director.pool.recycleoldestvolume.ref =  0
director.pool.recycleoldestvolume.type = store_bool
director.pool.recycleoldestvolume.required = false
director.pool.recycleoldestvolume.def =  0
director.pool.recyclecurrentvolume.ref =  0
director.pool.recyclecurrentvolume.type = store_bool
director.pool.recyclecurrentvolume.required = false
director.pool.recyclecurrentvolume.def =  0
director.pool.maximumvolumes.ref =    0
director.pool.maximumvolumes.type = int
director.pool.maximumvolumes.required = false
director.pool.maximumvolumes.def =         0
director.pool.maximumvolumejobs.ref =     0
director.pool.maximumvolumejobs.type = int
director.pool.maximumvolumejobs.required = false
director.pool.maximumvolumejobs.def =        0
director.pool.maximumvolumefiles.ref =    0
director.pool.maximumvolumefiles.type = int
director.pool.maximumvolumefiles.required = false
director.pool.maximumvolumefiles.def =        0
director.pool.maximumvolumebytes.ref =    0
director.pool.maximumvolumebytes.type = store_size64
director.pool.maximumvolumebytes.required = false
director.pool.maximumvolumebytes.def =        0
director.pool.catalogfiles.ref =   0
director.pool.catalogfiles.type = store_bool
director.pool.catalogfiles.required = false
director.pool.catalogfiles.def =  true
director.pool.volumeretention.ref =    0
director.pool.volumeretention.type = Date
director.pool.volumeretention.required = false
director.pool.volumeretention.def =  60*60*24*365
director.pool.volumeuseduration.ref =  0
director.pool.volumeuseduration.type = Date
director.pool.volumeuseduration.required = false
director.pool.volumeuseduration.def =  0
director.pool.migrationtime.ref =  0
director.pool.migrationtime.type = Date
director.pool.migrationtime.required = false
director.pool.migrationtime.def =  0
director.pool.migrationhighbytes.ref =  0
director.pool.migrationhighbytes.type = store_size64
director.pool.migrationhighbytes.required = false
director.pool.migrationhighbytes.def =  0
director.pool.migrationlowbytes.ref =  0
director.pool.migrationlowbytes.type = store_size64
director.pool.migrationlowbytes.required = false
director.pool.migrationlowbytes.def =  0
director.pool.nextpool.ref =  R_POOL
director.pool.nextpool.type = Resource
director.pool.nextpool.required = false
director.pool.nextpool.def =  0
director.pool.storage.ref =   R_STORAGE
director.pool.storage.type = store_alist_res
director.pool.storage.required = false
director.pool.storage.def =  0
director.pool.autoprune.ref =  0
director.pool.autoprune.type = store_bool
director.pool.autoprune.required = false
director.pool.autoprune.def =  true
director.pool.recycle.ref =    0
director.pool.recycle.type = store_bool
director.pool.recycle.required = false
director.pool.recycle.def =  true
director.pool.recyclepool.ref =  R_POOL
director.pool.recyclepool.type = Resource
director.pool.recyclepool.required = false
director.pool.recyclepool.def =  0
director.pool.scratchpool.ref =  R_POOL
director.pool.scratchpool.type = Resource
director.pool.scratchpool.required = false
director.pool.scratchpool.def =  0
director.pool.copypool.ref =  R_POOL
director.pool.copypool.type = store_alist_res
director.pool.copypool.required = false
director.pool.copypool.def =  0
director.pool.catalog.ref =  R_CATALOG
director.pool.catalog.type = Resource
director.pool.catalog.required = false
director.pool.catalog.def =  0
director.pool.fileretention.ref =  0
director.pool.fileretention.type = Date
director.pool.fileretention.required = false
director.pool.fileretention.def =  0
director.pool.jobretention.ref =   0
director.pool.jobretention.type = Date
director.pool.jobretention.required = false
director.pool.jobretention.def =  0
director.counter.name.ref =         0
director.counter.name.type = String
director.counter.name.required = true
director.counter.name.def =  0
director.counter.description.ref =         0
director.counter.description.type = String
director.counter.description.required = false
director.counter.description.def =      0
director.counter.minimum.ref =         0
director.counter.minimum.type = store_int32
director.counter.minimum.required = false
director.counter.minimum.def =  0
director.counter.maximum.ref =         0
director.counter.maximum.type = int
director.counter.maximum.required = false
director.counter.maximum.def =  INT32_MAX
director.counter.wrapcounter.ref =      R_COUNTER
director.counter.wrapcounter.type = Resource
director.counter.wrapcounter.required = false
director.counter.wrapcounter.def =  0
director.counter.catalog.ref =          R_CATALOG
director.counter.catalog.type = Resource
director.counter.catalog.required = false
director.counter.catalog.def =  0
director.runscript.runsonsuccess.ref = 0
director.runscript.runsonsuccess.type = store_runscript_bool
director.runscript.runsonsuccess.required = false
director.runscript.runsonsuccess.def =  0
director.runscript.runsonfailure.ref = 0
director.runscript.runsonfailure.type = store_runscript_bool
director.runscript.runsonfailure.required = false
director.runscript.runsonfailure.def =  0
director.runscript.failjobonerror.ref = 0
director.runscript.failjobonerror.type = store_runscript_bool
director.runscript.failjobonerror.required = false
director.runscript.failjobonerror.def =  0
director.runscript.abortjobonerror.ref = 0
director.runscript.abortjobonerror.type = store_runscript_bool
director.runscript.abortjobonerror.required = false
director.runscript.abortjobonerror.def =  0
director.runscript.runswhen.ref =       0
director.runscript.runswhen.type = store_runscript_when
director.runscript.runswhen.required = false
director.runscript.runswhen.def =  0
storagedaemon.storage.name.ref =    0
storagedaemon.storage.name.type = String
storagedaemon.storage.name.required = true
storagedaemon.storage.name.def =  0
storagedaemon.storage.description.ref =      0
storagedaemon.storage.description.type = String
storagedaemon.storage.description.required = false
storagedaemon.storage.description.def =  0
storagedaemon.storage.sdaddress.ref =      0
storagedaemon.storage.sdaddress.type = store_addresses_address
storagedaemon.storage.sdaddress.required = false
storagedaemon.storage.sdaddress.def =  9103
storagedaemon.storage.sdaddresses.ref =  0
storagedaemon.storage.sdaddresses.type = store_addresses
storagedaemon.storage.sdaddresses.required = false
storagedaemon.storage.sdaddresses.def =  9103
storagedaemon.storage.messages.ref =    R_MSGS
storagedaemon.storage.messages.type = Resource
storagedaemon.storage.messages.required = false
storagedaemon.storage.messages.def =  0
storagedaemon.storage.sdport.ref =      0
storagedaemon.storage.sdport.type = store_addresses_port
storagedaemon.storage.sdport.required = false
storagedaemon.storage.sdport.def =  9103
storagedaemon.storage.workingdirectory.ref =  0
storagedaemon.storage.workingdirectory.type = path
storagedaemon.storage.workingdirectory.required = true
storagedaemon.storage.workingdirectory.def =  0
storagedaemon.storage.piddirectory.ref =  0
storagedaemon.storage.piddirectory.type = path
storagedaemon.storage.piddirectory.required = true
storagedaemon.storage.piddirectory.def =  0
storagedaemon.storage.subsysdirectory.ref =  0
storagedaemon.storage.subsysdirectory.type = path
storagedaemon.storage.subsysdirectory.required = false
storagedaemon.storage.subsysdirectory.def =  0
storagedaemon.storage.plugindirectory.ref =  0
storagedaemon.storage.plugindirectory.type = path
storagedaemon.storage.plugindirectory.required = false
storagedaemon.storage.plugindirectory.def =  0
storagedaemon.storage.scriptsdirectory.ref =  0
storagedaemon.storage.scriptsdirectory.type = path
storagedaemon.storage.scriptsdirectory.required = false
storagedaemon.storage.scriptsdirectory.def =  0
storagedaemon.storage.maximumconcurrentjobs.ref =  0
storagedaemon.storage.maximumconcurrentjobs.type = int
storagedaemon.storage.maximumconcurrentjobs.required = false
storagedaemon.storage.maximumconcurrentjobs.def =  20
storagedaemon.storage.heartbeatinterval.ref =  0
storagedaemon.storage.heartbeatinterval.type = Date
storagedaemon.storage.heartbeatinterval.required = false
storagedaemon.storage.heartbeatinterval.def =  0
storagedaemon.storage.tlsauthenticate.ref =  0
storagedaemon.storage.tlsauthenticate.type = store_bool
storagedaemon.storage.tlsauthenticate.required = false
storagedaemon.storage.tlsauthenticate.def =  0
storagedaemon.storage.tlsenable.ref =  0
storagedaemon.storage.tlsenable.type = store_bool
storagedaemon.storage.tlsenable.required = false
storagedaemon.storage.tlsenable.def =  0
storagedaemon.storage.tlsrequire.ref =  0
storagedaemon.storage.tlsrequire.type = store_bool
storagedaemon.storage.tlsrequire.required = false
storagedaemon.storage.tlsrequire.def =  0
storagedaemon.storage.tlsverifypeer.ref =  1
storagedaemon.storage.tlsverifypeer.type = store_bool
storagedaemon.storage.tlsverifypeer.required = false
storagedaemon.storage.tlsverifypeer.def =  1
storagedaemon.storage.tlscacertificatefile.ref =  0
storagedaemon.storage.tlscacertificatefile.type = path
storagedaemon.storage.tlscacertificatefile.required = false
storagedaemon.storage.tlscacertificatefile.def =  0
storagedaemon.storage.tlscacertificatedir.ref =  0
storagedaemon.storage.tlscacertificatedir.type = path
storagedaemon.storage.tlscacertificatedir.required = false
storagedaemon.storage.tlscacertificatedir.def =  0
storagedaemon.storage.tlscertificate.ref =  0
storagedaemon.storage.tlscertificate.type = path
storagedaemon.storage.tlscertificate.required = false
storagedaemon.storage.tlscertificate.def =  0
storagedaemon.storage.tlskey.ref =  0
storagedaemon.storage.tlskey.type = path
storagedaemon.storage.tlskey.required = false
storagedaemon.storage.tlskey.def =  0
storagedaemon.storage.tlsdhfile.ref =  0
storagedaemon.storage.tlsdhfile.type = path
storagedaemon.storage.tlsdhfile.required = false
storagedaemon.storage.tlsdhfile.def =  0
storagedaemon.storage.tlsallowedcn.ref =  0
storagedaemon.storage.tlsallowedcn.type = store_alist_str
storagedaemon.storage.tlsallowedcn.required = false
storagedaemon.storage.tlsallowedcn.def =  0
storagedaemon.storage.clientconnectwait.ref =  0
storagedaemon.storage.clientconnectwait.type = Date
storagedaemon.storage.clientconnectwait.required = false
storagedaemon.storage.clientconnectwait.def =  30 * 60
storagedaemon.storage.verid.ref =  0
storagedaemon.storage.verid.type = String
storagedaemon.storage.verid.required = false
storagedaemon.storage.verid.def =  0
storagedaemon.director.name.ref =    0
storagedaemon.director.name.type = String
storagedaemon.director.name.required = true
storagedaemon.director.name.def =  0
storagedaemon.director.description.ref =    0
storagedaemon.director.description.type = String
storagedaemon.director.description.required = false
storagedaemon.director.description.def =  0
storagedaemon.director.password.ref =    0
storagedaemon.director.password.type = Password
storagedaemon.director.password.required = true
storagedaemon.director.password.def =  0
storagedaemon.director.monitor.ref =     0
storagedaemon.director.monitor.type = store_bool
storagedaemon.director.monitor.required = false
storagedaemon.director.monitor.def =  0
storagedaemon.director.tlsauthenticate.ref =  0
storagedaemon.director.tlsauthenticate.type = store_bool
storagedaemon.director.tlsauthenticate.required = false
storagedaemon.director.tlsauthenticate.def =  0
storagedaemon.director.tlsenable.ref =  0
storagedaemon.director.tlsenable.type = store_bool
storagedaemon.director.tlsenable.required = false
storagedaemon.director.tlsenable.def =  0
storagedaemon.director.tlsrequire.ref =  0
storagedaemon.director.tlsrequire.type = store_bool
storagedaemon.director.tlsrequire.required = false
storagedaemon.director.tlsrequire.def =  0
storagedaemon.director.tlsverifypeer.ref =  1
storagedaemon.director.tlsverifypeer.type = store_bool
storagedaemon.director.tlsverifypeer.required = false
storagedaemon.director.tlsverifypeer.def =  1
storagedaemon.director.tlscacertificatefile.ref =  0
storagedaemon.director.tlscacertificatefile.type = path
storagedaemon.director.tlscacertificatefile.required = false
storagedaemon.director.tlscacertificatefile.def =  0
storagedaemon.director.tlscacertificatedir.ref =  0
storagedaemon.director.tlscacertificatedir.type = path
storagedaemon.director.tlscacertificatedir.required = false
storagedaemon.director.tlscacertificatedir.def =  0
storagedaemon.director.tlscertificate.ref =  0
storagedaemon.director.tlscertificate.type = path
storagedaemon.director.tlscertificate.required = false
storagedaemon.director.tlscertificate.def =  0
storagedaemon.director.tlskey.ref =  0
storagedaemon.director.tlskey.type = path
storagedaemon.director.tlskey.required = false
storagedaemon.director.tlskey.def =  0
storagedaemon.director.tlsdhfile.ref =  0
storagedaemon.director.tlsdhfile.type = path
storagedaemon.director.tlsdhfile.required = false
storagedaemon.director.tlsdhfile.def =  0
storagedaemon.director.tlsallowedcn.ref =  0
storagedaemon.director.tlsallowedcn.type = store_alist_str
storagedaemon.director.tlsallowedcn.required = false
storagedaemon.director.tlsallowedcn.def =  0
storagedaemon.device.name.ref =     0
storagedaemon.device.name.type = String
storagedaemon.device.name.required = true
storagedaemon.device.name.def =  0
storagedaemon.device.description.ref =     0
storagedaemon.device.description.type = String
storagedaemon.device.description.required = false
storagedaemon.device.description.def =  0
storagedaemon.device.mediatype.ref =   0
storagedaemon.device.mediatype.type = String
storagedaemon.device.mediatype.required = true
storagedaemon.device.mediatype.def =  0
storagedaemon.device.devicetype.ref =     0
storagedaemon.device.devicetype.type = store_devtype
storagedaemon.device.devicetype.required = false
storagedaemon.device.devicetype.def =  0
storagedaemon.device.archivedevice.ref =  0
storagedaemon.device.archivedevice.type = String
storagedaemon.device.archivedevice.required = true
storagedaemon.device.archivedevice.def =  0
storagedaemon.device.hardwareendoffile.ref =  CAP_EOF
storagedaemon.device.hardwareendoffile.type = boolean
storagedaemon.device.hardwareendoffile.required = false
storagedaemon.device.hardwareendoffile.def =  1
storagedaemon.device.hardwareendofmedium.ref =  CAP_EOM
storagedaemon.device.hardwareendofmedium.type = boolean
storagedaemon.device.hardwareendofmedium.required = false
storagedaemon.device.hardwareendofmedium.def =  1
storagedaemon.device.backwardspacerecord.ref =  CAP_BSR
storagedaemon.device.backwardspacerecord.type = boolean
storagedaemon.device.backwardspacerecord.required = false
storagedaemon.device.backwardspacerecord.def =  1
storagedaemon.device.backwardspacefile.ref =  CAP_BSF
storagedaemon.device.backwardspacefile.type = boolean
storagedaemon.device.backwardspacefile.required = false
storagedaemon.device.backwardspacefile.def =  1
storagedaemon.device.bsfateom.ref =  CAP_BSFATEOM
storagedaemon.device.bsfateom.type = boolean
storagedaemon.device.bsfateom.required = false
storagedaemon.device.bsfateom.def =  0
storagedaemon.device.twoeof.ref =  CAP_TWOEOF
storagedaemon.device.twoeof.type = boolean
storagedaemon.device.twoeof.required = false
storagedaemon.device.twoeof.def =  0
storagedaemon.device.forwardspacerecord.ref =  CAP_FSR
storagedaemon.device.forwardspacerecord.type = boolean
storagedaemon.device.forwardspacerecord.required = false
storagedaemon.device.forwardspacerecord.def =  1
storagedaemon.device.forwardspacefile.ref =  CAP_FSF
storagedaemon.device.forwardspacefile.type = boolean
storagedaemon.device.forwardspacefile.required = false
storagedaemon.device.forwardspacefile.def =  1
storagedaemon.device.fastforwardspacefile.ref =  CAP_FASTFSF
storagedaemon.device.fastforwardspacefile.type = boolean
storagedaemon.device.fastforwardspacefile.required = false
storagedaemon.device.fastforwardspacefile.def =  1
storagedaemon.device.removablemedia.ref =  CAP_REM
storagedaemon.device.removablemedia.type = boolean
storagedaemon.device.removablemedia.required = false
storagedaemon.device.removablemedia.def =  1
storagedaemon.device.randomaccess.ref =  CAP_RACCESS
storagedaemon.device.randomaccess.type = boolean
storagedaemon.device.randomaccess.required = false
storagedaemon.device.randomaccess.def =  0
storagedaemon.device.automaticmount.ref =  CAP_AUTOMOUNT
storagedaemon.device.automaticmount.type = boolean
storagedaemon.device.automaticmount.required = false
storagedaemon.device.automaticmount.def =  0
storagedaemon.device.labelmedia.ref =  CAP_LABEL
storagedaemon.device.labelmedia.type = boolean
storagedaemon.device.labelmedia.required = false
storagedaemon.device.labelmedia.def =  0
storagedaemon.device.alwaysopen.ref =  CAP_ALWAYSOPEN
storagedaemon.device.alwaysopen.type = boolean
storagedaemon.device.alwaysopen.required = false
storagedaemon.device.alwaysopen.def =  1
storagedaemon.device.autochanger.ref =  CAP_AUTOCHANGER
storagedaemon.device.autochanger.type = boolean
storagedaemon.device.autochanger.required = false
storagedaemon.device.autochanger.def =  0
storagedaemon.device.closeonpoll.ref =  CAP_CLOSEONPOLL
storagedaemon.device.closeonpoll.type = boolean
storagedaemon.device.closeonpoll.required = false
storagedaemon.device.closeonpoll.def =  0
storagedaemon.device.blockpositioning.ref =  CAP_POSITIONBLOCKS
storagedaemon.device.blockpositioning.type = boolean
storagedaemon.device.blockpositioning.required = false
storagedaemon.device.blockpositioning.def =  1
storagedaemon.device.usemtiocget.ref =  CAP_MTIOCGET
storagedaemon.device.usemtiocget.type = boolean
storagedaemon.device.usemtiocget.required = false
storagedaemon.device.usemtiocget.def =  1
storagedaemon.device.checklabels.ref =  CAP_CHECKLABELS
storagedaemon.device.checklabels.type = boolean
storagedaemon.device.checklabels.required = false
storagedaemon.device.checklabels.def =  0
storagedaemon.device.requiresmount.ref =  CAP_REQMOUNT
storagedaemon.device.requiresmount.type = boolean
storagedaemon.device.requiresmount.required = false
storagedaemon.device.requiresmount.def =  0
storagedaemon.device.offlineonunmount.ref =  CAP_OFFLINEUNMOUNT
storagedaemon.device.offlineonunmount.type = boolean
storagedaemon.device.offlineonunmount.required = false
storagedaemon.device.offlineonunmount.def =  0
storagedaemon.device.blockchecksum.ref =  CAP_BLOCKCHECKSUM
storagedaemon.device.blockchecksum.type = boolean
storagedaemon.device.blockchecksum.required = false
storagedaemon.device.blockchecksum.def =  1
storagedaemon.device.autoselect.ref =  1
storagedaemon.device.autoselect.type = store_bool
storagedaemon.device.autoselect.required = false
storagedaemon.device.autoselect.def =  1
storagedaemon.device.changerdevice.ref =  0
storagedaemon.device.changerdevice.type = String
storagedaemon.device.changerdevice.required = false
storagedaemon.device.changerdevice.def =  0
storagedaemon.device.changercommand.ref =  0
storagedaemon.device.changercommand.type = String
storagedaemon.device.changercommand.required = false
storagedaemon.device.changercommand.def =  0
storagedaemon.device.alertcommand.ref =  0
storagedaemon.device.alertcommand.type = String
storagedaemon.device.alertcommand.required = false
storagedaemon.device.alertcommand.def =  0
storagedaemon.device.maximumchangerwait.ref =  0
storagedaemon.device.maximumchangerwait.type = Date
storagedaemon.device.maximumchangerwait.required = false
storagedaemon.device.maximumchangerwait.def =  5 * 60
storagedaemon.device.maximumopenwait.ref =  0
storagedaemon.device.maximumopenwait.type = Date
storagedaemon.device.maximumopenwait.required = false
storagedaemon.device.maximumopenwait.def =  5 * 60
storagedaemon.device.maximumopenvolumes.ref =  0
storagedaemon.device.maximumopenvolumes.type = int
storagedaemon.device.maximumopenvolumes.required = false
storagedaemon.device.maximumopenvolumes.def =  1
storagedaemon.device.maximumnetworkbuffersize.ref =  0
storagedaemon.device.maximumnetworkbuffersize.type = int
storagedaemon.device.maximumnetworkbuffersize.required = false
storagedaemon.device.maximumnetworkbuffersize.def =  0
storagedaemon.device.volumepollinterval.ref =  0
storagedaemon.device.volumepollinterval.type = Date
storagedaemon.device.volumepollinterval.required = false
storagedaemon.device.volumepollinterval.def =  5 * 60
storagedaemon.device.maximumrewindwait.ref =  0
storagedaemon.device.maximumrewindwait.type = Date
storagedaemon.device.maximumrewindwait.required = false
storagedaemon.device.maximumrewindwait.def =  5 * 60
storagedaemon.device.minimumblocksize.ref =  0
storagedaemon.device.minimumblocksize.type = int
storagedaemon.device.minimumblocksize.required = false
storagedaemon.device.minimumblocksize.def =  0
storagedaemon.device.maximumblocksize.ref =  0
storagedaemon.device.maximumblocksize.type = store_maxblocksize
storagedaemon.device.maximumblocksize.required = false
storagedaemon.device.maximumblocksize.def =  0
storagedaemon.device.maximumvolumesize.ref =  0
storagedaemon.device.maximumvolumesize.type = store_size64
storagedaemon.device.maximumvolumesize.required = false
storagedaemon.device.maximumvolumesize.def =  0
storagedaemon.device.maximumfilesize.ref =  0
storagedaemon.device.maximumfilesize.type = store_size64
storagedaemon.device.maximumfilesize.required = false
storagedaemon.device.maximumfilesize.def =  1000000000
storagedaemon.device.volumecapacity.ref =  0
storagedaemon.device.volumecapacity.type = store_size64
storagedaemon.device.volumecapacity.required = false
storagedaemon.device.volumecapacity.def =  0
storagedaemon.device.maximumconcurrentjobs.ref =  0
storagedaemon.device.maximumconcurrentjobs.type = int
storagedaemon.device.maximumconcurrentjobs.required = false
storagedaemon.device.maximumconcurrentjobs.def =  0
storagedaemon.device.spooldirectory.ref =  0
storagedaemon.device.spooldirectory.type = path
storagedaemon.device.spooldirectory.required = false
storagedaemon.device.spooldirectory.def =  0
storagedaemon.device.maximumspoolsize.ref =  0
storagedaemon.device.maximumspoolsize.type = store_size64
storagedaemon.device.maximumspoolsize.required = false
storagedaemon.device.maximumspoolsize.def =  0
storagedaemon.device.maximumjobspoolsize.ref =  0
storagedaemon.device.maximumjobspoolsize.type = store_size64
storagedaemon.device.maximumjobspoolsize.required = false
storagedaemon.device.maximumjobspoolsize.def =  0
storagedaemon.device.driveindex.ref =  0
storagedaemon.device.driveindex.type = int
storagedaemon.device.driveindex.required = false
storagedaemon.device.driveindex.def =  0
storagedaemon.device.maximumpartsize.ref =  0
storagedaemon.device.maximumpartsize.type = store_size64
storagedaemon.device.maximumpartsize.required = false
storagedaemon.device.maximumpartsize.def =  0
storagedaemon.device.mountpoint.ref =  0
storagedaemon.device.mountpoint.type = String
storagedaemon.device.mountpoint.required = false
storagedaemon.device.mountpoint.def =  0
storagedaemon.device.mountcommand.ref =  0
storagedaemon.device.mountcommand.type = String
storagedaemon.device.mountcommand.required = false
storagedaemon.device.mountcommand.def =  0
storagedaemon.device.unmountcommand.ref =  0
storagedaemon.device.unmountcommand.type = String
storagedaemon.device.unmountcommand.required = false
storagedaemon.device.unmountcommand.def =  0
storagedaemon.device.writepartcommand.ref =  0
storagedaemon.device.writepartcommand.type = String
storagedaemon.device.writepartcommand.required = false
storagedaemon.device.writepartcommand.def =  0
storagedaemon.device.freespacecommand.ref =  0
storagedaemon.device.freespacecommand.type = String
storagedaemon.device.freespacecommand.required = false
storagedaemon.device.freespacecommand.def =  0
storagedaemon.device.labeltype.ref =  0
storagedaemon.device.labeltype.type = store_label
storagedaemon.device.labeltype.required = false
storagedaemon.device.labeltype.def =  0
storagedaemon.autochanger.name.ref =         0
storagedaemon.autochanger.name.type = String
storagedaemon.autochanger.name.required = true
storagedaemon.autochanger.name.def =  0
storagedaemon.autochanger.description.ref =         0
storagedaemon.autochanger.description.type = String
storagedaemon.autochanger.description.required = false
storagedaemon.autochanger.description.def =  0
storagedaemon.autochanger.device.ref =    R_DEVICE
storagedaemon.autochanger.device.type = store_alist_res
storagedaemon.autochanger.device.required = true
storagedaemon.autochanger.device.def =  0
storagedaemon.autochanger.changerdevice.ref =     0
storagedaemon.autochanger.changerdevice.type = String
storagedaemon.autochanger.changerdevice.required = true
storagedaemon.autochanger.changerdevice.def =  0
storagedaemon.autochanger.changercommand.ref =  0
storagedaemon.autochanger.changercommand.type = String
storagedaemon.autochanger.changercommand.required = true
storagedaemon.autochanger.changercommand.def =  0
filedaemon.client.name.ref =  0
filedaemon.client.name.type = String
filedaemon.client.name.required = true
filedaemon.client.name.def =  0
filedaemon.client.description.ref =  0
filedaemon.client.description.type = String
filedaemon.client.description.required = false
filedaemon.client.description.def =  0
filedaemon.client.fdport.ref =   0
filedaemon.client.fdport.type = store_addresses_port
filedaemon.client.fdport.required = false
filedaemon.client.fdport.def =  9102
filedaemon.client.fdaddress.ref =   0
filedaemon.client.fdaddress.type = store_addresses_address
filedaemon.client.fdaddress.required = false
filedaemon.client.fdaddress.def =  9102
filedaemon.client.fdaddresses.ref =   0
filedaemon.client.fdaddresses.type = store_addresses
filedaemon.client.fdaddresses.required = false
filedaemon.client.fdaddresses.def =  9102
filedaemon.client.fdsourceaddress.ref =   0
filedaemon.client.fdsourceaddress.type = store_addresses_address
filedaemon.client.fdsourceaddress.required = false
filedaemon.client.fdsourceaddress.def =  0
filedaemon.client.workingdirectory.ref =  0
filedaemon.client.workingdirectory.type = path
filedaemon.client.workingdirectory.required = true
filedaemon.client.workingdirectory.def =  0
filedaemon.client.piddirectory.ref =      0
filedaemon.client.piddirectory.type = path
filedaemon.client.piddirectory.required = true
filedaemon.client.piddirectory.def =  0
filedaemon.client.subsysdirectory.ref =   0
filedaemon.client.subsysdirectory.type = path
filedaemon.client.subsysdirectory.required = false
filedaemon.client.subsysdirectory.def =  0
filedaemon.client.plugindirectory.ref =   0
filedaemon.client.plugindirectory.type = path
filedaemon.client.plugindirectory.required = false
filedaemon.client.plugindirectory.def =  0
filedaemon.client.scriptsdirectory.ref =   0
filedaemon.client.scriptsdirectory.type = path
filedaemon.client.scriptsdirectory.required = false
filedaemon.client.scriptsdirectory.def =  0
filedaemon.client.maximumconcurrentjobs.ref =  0
filedaemon.client.maximumconcurrentjobs.type = int
filedaemon.client.maximumconcurrentjobs.required = false
filedaemon.client.maximumconcurrentjobs.def =  20
filedaemon.client.messages.ref =  R_MSGS
filedaemon.client.messages.type = Resource
filedaemon.client.messages.required = false
filedaemon.client.messages.def =  0
filedaemon.client.sdconnecttimeout.ref =  0
filedaemon.client.sdconnecttimeout.type = Date
filedaemon.client.sdconnecttimeout.required = false
filedaemon.client.sdconnecttimeout.def =  60 * 30
filedaemon.client.heartbeatinterval.ref =  0
filedaemon.client.heartbeatinterval.type = Date
filedaemon.client.heartbeatinterval.required = false
filedaemon.client.heartbeatinterval.def =  0
filedaemon.client.maximumnetworkbuffersize.ref =  0
filedaemon.client.maximumnetworkbuffersize.type = int
filedaemon.client.maximumnetworkbuffersize.required = false
filedaemon.client.maximumnetworkbuffersize.def =  0
filedaemon.client.pkisignatures.ref =  0
filedaemon.client.pkisignatures.type = store_bool
filedaemon.client.pkisignatures.required = false
filedaemon.client.pkisignatures.def =  0
filedaemon.client.pkiencryption.ref =  0
filedaemon.client.pkiencryption.type = store_bool
filedaemon.client.pkiencryption.required = false
filedaemon.client.pkiencryption.def =  0
filedaemon.client.pkikeypair.ref =  0
filedaemon.client.pkikeypair.type = path
filedaemon.client.pkikeypair.required = false
filedaemon.client.pkikeypair.def =  0
filedaemon.client.pkisigner.ref =  0
filedaemon.client.pkisigner.type = store_alist_str
filedaemon.client.pkisigner.required = false
filedaemon.client.pkisigner.def =  0
filedaemon.client.pkimasterkey.ref =  0
filedaemon.client.pkimasterkey.type = store_alist_str
filedaemon.client.pkimasterkey.required = false
filedaemon.client.pkimasterkey.def =  0
filedaemon.client.tlsauthenticate.ref =   0
filedaemon.client.tlsauthenticate.type = store_bool
filedaemon.client.tlsauthenticate.required = false
filedaemon.client.tlsauthenticate.def =  0
filedaemon.client.tlsenable.ref =   0
filedaemon.client.tlsenable.type = store_bool
filedaemon.client.tlsenable.required = false
filedaemon.client.tlsenable.def =  0
filedaemon.client.tlsrequire.ref =  0
filedaemon.client.tlsrequire.type = store_bool
filedaemon.client.tlsrequire.required = false
filedaemon.client.tlsrequire.def =  0
filedaemon.client.tlscacertificatefile.ref =  0
filedaemon.client.tlscacertificatefile.type = path
filedaemon.client.tlscacertificatefile.required = false
filedaemon.client.tlscacertificatefile.def =  0
filedaemon.client.tlscacertificatedir.ref =  0
filedaemon.client.tlscacertificatedir.type = path
filedaemon.client.tlscacertificatedir.required = false
filedaemon.client.tlscacertificatedir.def =  0
filedaemon.client.tlscertificate.ref =  0
filedaemon.client.tlscertificate.type = path
filedaemon.client.tlscertificate.required = false
filedaemon.client.tlscertificate.def =  0
filedaemon.client.tlskey.ref =  0
filedaemon.client.tlskey.type = path
filedaemon.client.tlskey.required = false
filedaemon.client.tlskey.def =  0
filedaemon.client.verid.ref =  0
filedaemon.client.verid.type = String
filedaemon.client.verid.required = false
filedaemon.client.verid.def =  0
filedaemon.director.name.ref =   0
filedaemon.director.name.type = String
filedaemon.director.name.required = true
filedaemon.director.name.def =  0
filedaemon.director.description.ref =   0
filedaemon.director.description.type = String
filedaemon.director.description.required = false
filedaemon.director.description.def =  0
filedaemon.director.password.ref =   0
filedaemon.director.password.type = Password
filedaemon.director.password.required = true
filedaemon.director.password.def =  0
filedaemon.director.address.ref =    0
filedaemon.director.address.type = String
filedaemon.director.address.required = false
filedaemon.director.address.def =  0
filedaemon.director.monitor.ref =    0
filedaemon.director.monitor.type = store_bool
filedaemon.director.monitor.required = false
filedaemon.director.monitor.def =  0
filedaemon.director.tlsauthenticate.ref =  0
filedaemon.director.tlsauthenticate.type = store_bool
filedaemon.director.tlsauthenticate.required = false
filedaemon.director.tlsauthenticate.def =  0
filedaemon.director.tlsenable.ref =  0
filedaemon.director.tlsenable.type = store_bool
filedaemon.director.tlsenable.required = false
filedaemon.director.tlsenable.def =  0
filedaemon.director.tlsrequire.ref =  0
filedaemon.director.tlsrequire.type = store_bool
filedaemon.director.tlsrequire.required = false
filedaemon.director.tlsrequire.def =  0
filedaemon.director.tlsverifypeer.ref =  0
filedaemon.director.tlsverifypeer.type = store_bool
filedaemon.director.tlsverifypeer.required = false
filedaemon.director.tlsverifypeer.def =  1
filedaemon.director.tlscacertificatefile.ref =  0
filedaemon.director.tlscacertificatefile.type = path
filedaemon.director.tlscacertificatefile.required = false
filedaemon.director.tlscacertificatefile.def =  0
filedaemon.director.tlscacertificatedir.ref =  0
filedaemon.director.tlscacertificatedir.type = path
filedaemon.director.tlscacertificatedir.required = false
filedaemon.director.tlscacertificatedir.def =  0
filedaemon.director.tlscertificate.ref =  0
filedaemon.director.tlscertificate.type = path
filedaemon.director.tlscertificate.required = false
filedaemon.director.tlscertificate.def =  0
filedaemon.director.tlskey.ref =  0
filedaemon.director.tlskey.type = path
filedaemon.director.tlskey.required = false
filedaemon.director.tlskey.def =  0
filedaemon.director.tlsdhfile.ref =  0
filedaemon.director.tlsdhfile.type = path
filedaemon.director.tlsdhfile.required = false
filedaemon.director.tlsdhfile.def =  0
filedaemon.director.tlsallowedcn.ref =  0
filedaemon.director.tlsallowedcn.type = store_alist_str
filedaemon.director.tlsallowedcn.required = false
filedaemon.director.tlsallowedcn.def =  0
director.messages.name.ref =   0
director.messages.name.type = String
director.messages.name.required = false
director.messages.name.def =  0
director.messages.description.ref =   0
director.messages.description.type = String
director.messages.description.required = false
director.messages.description.def =  0
director.messages.mailcommand.ref =   0
director.messages.mailcommand.type = String
director.messages.mailcommand.required = false
director.messages.mailcommand.def =  0
director.messages.operatorcommand.ref =  0
director.messages.operatorcommand.type = String
director.messages.operatorcommand.required = false
director.messages.operatorcommand.def =  0
director.messages.syslog.ref =  MD_SYSLOG
director.messages.syslog.type = String
director.messages.syslog.required = false
director.messages.syslog.def =  0
director.messages.mail.ref =  MD_MAIL
director.messages.mail.type = String
director.messages.mail.required = false
director.messages.mail.def =  0
director.messages.mailonerror.ref =  MD_MAIL_ON_ERROR
director.messages.mailonerror.type = String
director.messages.mailonerror.required = false
director.messages.mailonerror.def =  0
director.messages.mailonsuccess.ref =  MD_MAIL_ON_SUCCESS
director.messages.mailonsuccess.type = String
director.messages.mailonsuccess.required = false
director.messages.mailonsuccess.def =  0
director.messages.file.ref =  MD_FILE
director.messages.file.type = String
director.messages.file.required = false
director.messages.file.def =  0
director.messages.append.ref =  MD_APPEND
director.messages.append.type = String
director.messages.append.required = false
director.messages.append.def =  0
director.messages.stdout.ref =  MD_STDOUT
director.messages.stdout.type = String
director.messages.stdout.required = false
director.messages.stdout.def =  0
director.messages.stderr.ref =  MD_STDERR
director.messages.stderr.type = String
director.messages.stderr.required = false
director.messages.stderr.def =  0
director.messages.director.ref =  MD_DIRECTOR
director.messages.director.type = String
director.messages.director.required = false
director.messages.director.def =  0
director.messages.console.ref =  MD_CONSOLE
director.messages.console.type = String
director.messages.console.required = false
director.messages.console.def =  0
director.messages.operator.ref =  MD_OPERATOR
director.messages.operator.type = String
director.messages.operator.required = false
director.messages.operator.def =  0
director.messages.catalog.ref =  MD_CATALOG
director.messages.catalog.type = String
director.messages.catalog.required = false
director.messages.catalog.def =  0

